Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

Public Member Functions | List of all members
stk::StkError Class Reference

STK error handling class. More...

`#include <Stk.h>`

## Public Member Functions
| StkError (const std::string &message, Type type=StkError::UNSPECIFIED)
| The constructor.
virtual | ~StkError (void)
| The destructor.
virtual void | printMessage (void)
| Prints thrown error message to stderr.
virtual const Type & | getType (void)
| Returns the thrown error message type.
virtual const std::string & | getMessage (void)
| Returns the thrown error message string.
virtual const char * | getMessageCString (void)
| Returns the thrown error message as a C string.

## Detailed Description

STK error handling class.

This is a fairly abstract exception handling class. There could be sub-classes to take care of more specific error conditions ... or not.

The documentation for this class was generated from the following file:

- Stk.h

The Synthesis ToolKit in C++ (STK)
©1995--2017 Perry R. Cook and Gary P. Scavone. All Rights Reserved.